Subject: bug#21563: 24.5; discourage load-hook variables

From: Noam Postavsky <[email-masked]>
Date: Thu, 16 Jan 2020 16:35:17 -0500

Stefan Kangas <[email-masked]> writes:

> Drew Adams <[email-masked]> writes:
>
>> Here's what I'd suggest, if you are bent on removing
>> all load hooks and deprecating them:
>>
>> 1. Try removing all of them from the vanilla
>>    (distributed) Elisp code.
>>
>> 2. Run with that for a major release or two.  If no
>>    problems, then deprecate (declare obsolete).
>
> I'm not sure I understand the proposal.  What is the "vanilla
> (distributed) Elisp code"?  What does "removing all of them" mean, and
> how is removing them more cautious than adding a deprecation warning
> to the variables?

I think Drew meant to remove the *usage* of the hooks.  That is, remove
cases of (add-hook 'foo-load-hook ...), before deprecating foo-load-hook
itself.